<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
header("Content-type: application/json");
if(isset($_POST['ikdata'])){
	if (!isset($_SESSION)) session_start();
	$db=pDatabase::getInstance();
	$datafungsi=[
		"datacari01"=>"datacari01",
		"getTabel"=>"getTabel",
		"inputkategorikonten"=>"inputkategorikonten",
		"editkategorikonten"=>"editkategorikonten",
		"hapusData"=>"hapusData",
		"setStatus"=>"setStatus"
	];
	
	if(!$db->ceckmodule($cl)) exit;
	$data=$_POST['ikdata'];
	$ex=false;
	if(isset($datafungsi[$data[0]])) $ex=$datafungsi[$data[0]]($data);
	echo $ex;
}else{
	echo false;
}

function gethalaman($qr,$dt,$jumlah){
	$db=pDatabase::getInstance();
	
	$rs=$db->loadAssoc($qr,$dt);
	
	$total=1;
	if(isset($rs['total'])){
		$total=ceil($rs['total']/$jumlah);
	}
	if($total==0){
		return 1;
	}else{
		return $total;
	}
}

function datacari01($data=array())
{
	$mode=0;
	$kunci=array("nama");
	$alias=array("Nama Kategori");
	$kolom=array("nama");
	$jenis=array();
	
	$hasil=array("kunci"=>$kunci,"kolom"=>$kolom,"alias"=>$alias,"jenis"=>$jenis);
	if(sizeof($data)>0){
		$mode=$data[1];
	}
	if($mode==0){
		return $hasil;
	}else{
		return json_encode($hasil);
	}
}

function getTabel($data){
	$db=pDatabase::getInstance();
	$cari=$data[3];
	$arrcr=explode("&", $cari);
	
	$datapush=array();
	$wh="";
	if(sizeof($arrcr)>0){
		$arrkunci0=explode("=", $arrcr[0]);
		if(sizeof($arrcr)==1 && sizeof($arrkunci0)==1){
			$cr="%$cari%";
			$wh.="AND nama LIKE ? ";
			array_push($datapush,$cr);
		}else{
			$datacari=$db->datacari(datacari01(),$arrcr);
			$datapush=$datacari['datapush'];
			$wh=$datacari['query'];
		}
	}
	
	$qt="SELECT COUNT(*) as total FROM tb_konten_kategori
		WHERE id>0 ".$wh;
		
	$total=gethalaman($qt,$datapush,$data[2]);
	array_push($datapush,$data[1],$data[2]);
	
	$query="SELECT *,
			$total as halaman FROM tb_konten_kategori		
		WHERE id>0 ".$wh."
		ORDER BY id ASC LIMIT ?,?";
	$rs=$db->jsonData($query,$datapush);
	return $rs;
}
function inputkategorikonten($data){
	$db=pDatabase::getInstance();
	$datain=[
		"nama"=>$data['nama']
	];
	
	$rs=$db->insert("tb_konten_kategori",$datain);
	return $rs;
}
function editkategorikonten($data){
	$db=pDatabase::getInstance();
	$datain=[
		"nama"=>$data['nama']
	];
	
	$rs=$db->update("tb_konten_kategori",$datain,"id",$data['id']);
	return $rs;
}
function hapusData($data){
	$db=pDatabase::getInstance();
	$query="DELETE FROM tb_konten_kategori WHERE id=?";
	$rs=$db->query($query,array($data['id']));
	return $rs;
}

function setStatus($data){
	$db=pDatabase::getInstance();
	$datain=[
		"status"=>$data['status']
	];
	
	$rs=$db->update("tb_konten_kategori",$datain,"id",$data['id']);
	return $rs;
}

?>